org.apache.lucene.analysis.stempel

## Class StempelStemmer

- java.lang.Object
- - org.apache.lucene.analysis.stempel.StempelStemmer

    public class StempelStemmer
    extends Object

Stemmer class is a convenient facade for other stemmer-related classes. The core stemming algorithm and its implementation is taken verbatim from the Egothor project ( www.egothor.org ).

Even though the stemmer tables supplied in the distribution package are built for Polish language, there is nothing language-specific here.

### Constructor Summary

Constructors
Constructor and Description
`StempelStemmer(InputStream stemmerTable)` Create a Stemmer using selected stemmer table
`StempelStemmer(Trie stemmer)` Create a Stemmer using pre-loaded stemmer table

### Method Summary

Methods
`static Trie` `load(InputStream stemmerTable)` Load a stemmer table from an inputstream.
`StringBuilder` `stem(CharSequence word)` Stem a word.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StempelStemmer

    public StempelStemmer(InputStream stemmerTable)
                   throws IOException

Create a Stemmer using selected stemmer table

Parameters:
  `stemmerTable` - stemmer table.
Throws:
  `IOException`

#### StempelStemmer

    public StempelStemmer(Trie stemmer)

Create a Stemmer using pre-loaded stemmer table

Parameters:
  `stemmer` - pre-loaded stemmer table

### Method Detail

#### load

    public static Trie load(InputStream stemmerTable)
                     throws IOException

Load a stemmer table from an inputstream.

Throws:
  `IOException`

#### stem

    public StringBuilder stem(CharSequence word)

Stem a word.

Parameters:
  `word` - input word to be stemmed.
Returns:
  stemmed word, or null if the stem could not be generated.